var util = require('util');
util._extend(util, require('core-util-is'));

var MPX = require('../core');

util.inherits(AssetHost, MPX.Service);

function AssetHost(config) {
  if(util.isUndefined(config)) config = {};
  
  var defaults = {
    endpoint: 'ah.mediapeers.net',
    version:  'v20131101'
  };

  MPX.Service.call(this, util._extend(defaults, config));
}

MPX.AssetHost = AssetHost;
